curl --request GET \
--url https://api.dots.dev/api/v2/users \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dots.dev/api/v2/users"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dots.dev/api/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": {
"country_code": "<string>",
"phone_number": "<string>"
},
"wallet": {
"amount": 123,
"withdrawable_amount": 123,
"credit_balance": 123
},
"compliance": {
"tax_id_collected": true,
"address_collected": true,
"date_of_birth_collected": true,
"must_collect_1099": true,
"1099_collected": true,
"w8_ben_collected": true,
"flagged": true,
"id_verified": true
},
"metadata": "<string>"
}
],
"has_more": true
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": {
"country_code": "<string>",
"phone_number": "<string>"
},
"wallet": {
"amount": 123,
"withdrawable_amount": 123,
"credit_balance": 123
},
"compliance": {
"tax_id_collected": true,
"address_collected": true,
"date_of_birth_collected": true,
"must_collect_1099": true,
"1099_collected": true,
"w8_ben_collected": true,
"flagged": true,
"id_verified": true
},
"metadata": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": {
"country_code": "<string>",
"phone_number": "<string>"
},
"wallet": {
"amount": 123,
"withdrawable_amount": 123,
"credit_balance": 123
},
"compliance": {
"tax_id_collected": true,
"address_collected": true,
"date_of_birth_collected": true,
"must_collect_1099": true,
"1099_collected": true,
"w8_ben_collected": true,
"flagged": true,
"id_verified": true
},
"metadata": "<string>"
}Get Users
List all users connected to your application.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.
A limit on the number of objects to be returned, between 1 and 100.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.
Was this page helpful?